## xr-el 1.21

=== Makefile ===
EMACS=emacs
EMFLAGS=-Q -batch -L .
BYTECOMPFLAGS=--eval '(setq byte-compile-error-on-warn t)'

EL=$(wildcard *.el)
ELC=$(EL:.el=.elc)

.PHONY: build check clean

build: $(ELC)

clean:
	rm -f $(ELC)

check:
	$(EMACS) $(EMFLAGS) -l xr-test -f ert-run-tests-batch-and-exit

%.elc: %.el
	$(EMACS) $(EMFLAGS) $(BYTECOMPFLAGS) -f batch-byte-compile $^

## xr-el 1.15

=== debian/changelog ===
xr-el (1.15-2) unstable; urgency=medium

  * Change Maintainer to Debian Emacsen team
  * Source-only upload

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 26 Feb 2020 20:27:18 +0500

xr-el (1.15-1) unstable; urgency=medium

  * Initial release (Closes: #951501)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 17 Feb 2020 18:12:51 +0500

=== debian/control ===
Source: xr-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://elpa.gnu.org/packages/xr.html
Testsuite: autopkgtest-pkg-elpa
Vcs-Browser: https://salsa.debian.org/emacsen-team/xr-el
Vcs-Git: https://salsa.debian.org/emacsen-team/xr-el.git

Package: elpa-xr
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: convert string regexp to rx notation
 XR converts Emacs regular expressions to the structured rx form, thus
 being an inverse of rx. It can also find mistakes and questionable
 constructs inside regexp strings.
 .
 It can be useful for:
 .
   * Migrating existing code to rx form
   * Understanding what a regexp string really means
   * Finding errors in regexp strings
 .
 It can also parse and find mistakes in skip-sets, the regexp-like
 arguments to skip-chars-forward and skip-chars-backward.

=== debian/watch ===
# This watch file won't produce the orig.tar file and will in fact exit with
# an error. This is okay: we're using gbp to produce orig.tar files so we only
# need uscan to download.

version=3
https://elpa.gnu.org/packages/xr.html xr-(.+).tar

## xr-el 1.18

=== debian/changelog ===
xr-el (1.18-1) unstable; urgency=medium

  * New upstream version 1.18

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 10 Mar 2020 09:58:01 +0500

xr-el (1.16-1) unstable; urgency=medium

  * New upstream version 1.16

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 05 Mar 2020 12:12:21 +0500

## xr-el 1.19

=== debian/changelog ===
xr-el (1.19-1) unstable; urgency=medium

  * New upstream version 1.19
  * d/control: Migrate to dh 13
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 05 May 2020 12:22:04 +0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

## xr-el 1.20

=== debian/changelog ===
xr-el (1.20-1) unstable; urgency=medium

  * New upstream version 1.20
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/watch: Migrate to version 4

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 02 Dec 2020 12:09:52 +0500

## xr-el 1.21

=== debian/changelog ===
xr-el (1.21-1) unstable; urgency=medium

  * New upstream version 1.21
  * Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 23 Feb 2021 10:24:13 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://elpa.gnu.org/packages/xr.html
 Testsuite: autopkgtest-pkg-elpa

## xr-el 1.22

=== debian/changelog ===
xr-el (1.22-1) unstable; urgency=medium

  * New upstream version 1.22
  * d/control: Declare Standard-Version 4.6.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 04 Feb 2022 09:01:17 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://elpa.gnu.org/packages/xr.html
 Testsuite: autopkgtest-pkg-elpa

=== debian/watch ===
--- 
+++ 
@@ -2,5 +2,5 @@
 # an error. This is okay: we're using gbp to produce orig.tar files so we only
 # need uscan to download.
 
-version=3
+version=4
 https://elpa.gnu.org/packages/xr.html xr-(.+).tar

## xr-el 1.23

=== debian/changelog ===
xr-el (1.23-1) unstable; urgency=medium

  * New upstream version 1.23
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)
  * d/watch: Add signature support

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 14 Jul 2022 11:46:51 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://elpa.gnu.org/packages/xr.html
 Testsuite: autopkgtest-pkg-elpa

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://elpa.gnu.org/packages/xr.html xr-(.+).tar

## xr-el 1.24

=== debian/changelog ===
xr-el (1.24-1) unstable; urgency=medium

  * New upstream version 1.24
  * Add upstream PGP key
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/copyright: Update copyright years
  * d/watch: Update to handle lz archives

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 10 Aug 2023 09:17:17 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://elpa.gnu.org/packages/xr.html
 Testsuite: autopkgtest-pkg-elpa

## xr-el 1.25

=== debian/changelog ===
xr-el (1.25-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:41:54 +0900

xr-el (1.25-1) unstable; urgency=medium

  * New upstream version 1.25
  * d/control: Clean Recommends

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 10 Dec 2023 11:05:52 +0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: convert string regexp to rx notation
  XR converts Emacs regular expressions to the structured rx form, thus

## xr-el 2.0+repack

=== debian/changelog ===
xr-el (2.0+repack-1) unstable; urgency=medium

  * New upstream version 2.0+repack
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 14 Aug 2024 11:54:13 +0500

## xr-el 2.1+repack

=== debian/changelog ===
xr-el (2.1+repack-1) unstable; urgency=medium

  * New upstream version 2.1+repack
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 17 Jan 2025 22:44:13 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://elpa.gnu.org/packages/xr.html
 Testsuite: autopkgtest-pkg-elpa
